From 2dfd145470894296d70873942ae056340e3fd78d Mon Sep 17 00:00:00 2001
From: Ran Wang <ran.wang_1@nxp.com>
Date: Tue, 7 Jul 2020 15:40:31 +0800
Subject: [PATCH] arm64: dts: ls1043a: update USB nodes status to match board
 config
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

ls1043a-rdb and ls1043a-qds board’s default HW config (such as
pin mux selection) would not enable some USB controllers’
data path, which causing over-current detected on those
controllers. This will hit the case of ‘xhci driver prevent bus suspend
if a root hub port detected over-current condition’, causing system
failed to be suspended. So disable them in device tree to resolve this
issue.

Signed-off-by: Ran Wang <ran.wang_1@nxp.com>
Signed-off-by: Shawn Guo <shawnguo@kernel.org>
---
 arch/arm64/boot/dts/freescale/fsl-ls1043a-qds.dts | 4 ++++
 arch/arm64/boot/dts/freescale/fsl-ls1043a-rdb.dts | 8 ++++++++
 arch/arm64/boot/dts/freescale/fsl-ls1043a.dtsi    | 3 +++
 3 files changed, 15 insertions(+)

--- a/arch/arm64/boot/dts/freescale/fsl-ls1043a-qds.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1043a-qds.dts
@@ -167,6 +167,10 @@
 	};
 };
 
+&usb0 {
+	status = "okay";
+};
+
 #include "fsl-ls1043-post.dtsi"
 
 &fman0 {
--- a/arch/arm64/boot/dts/freescale/fsl-ls1043a-rdb.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1043a-rdb.dts
@@ -212,3 +212,11 @@
 		};
 	};
 };
+
+&usb0 {
+	status = "okay";
+};
+
+&usb1 {
+	status = "okay";
+};
--- a/arch/arm64/boot/dts/freescale/fsl-ls1043a.dtsi
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1043a.dtsi
@@ -706,6 +706,7 @@
 				snps,host-vbus-glitches;
 				configure-gfladj;
 				dma-coherent;
+				status = "disabled";
 			};
 
 			usb1: usb3@3000000 {
@@ -721,6 +722,7 @@
 				snps,host-vbus-glitches;
 				configure-gfladj;
 				dma-coherent;
+				status = "disabled";
 			};
 
 			usb2: usb3@3100000 {
@@ -736,6 +738,7 @@
 				snps,host-vbus-glitches;
 				configure-gfladj;
 				dma-coherent;
+				status = "disabled";
 			};
 
 			sata: sata@3200000 {
